<?php

/**
 * This file contains package_quiqqer_dashboard_ajax_backend_getCards
 */

/**
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_ecoyn_dashboard_ajax_backend_getLastOrders',
    function ($time) {
        $PDO = QUI::getDataBase()->getPDO();
        $table = QUI::getDBTableName('orders');
        $time = json_decode($time, true);

        $from = (int)$time['from'];
        $to = (int)$time['to'];

        $from = date('Y-m-d H:i:s', $from);
        $to = date('Y-m-d H:i:s', $to);

        $query = '
            SELECT c_date, customer, articles, id
            FROM ' . $table . ' 
            WHERE c_date >= :from AND  c_date <= :to
            
            ORDER BY c_date DESC 
            LIMIT 5
            ';

        $Statement = $PDO->prepare($query);

        $Statement->bindParam(':from', $from);
        $Statement->bindParam(':to', $to);
        $Statement->execute();

        $data = $Statement->fetchAll(PDO::FETCH_ASSOC);
        $result = [];

        foreach ($data as $order) {
            $customer = json_decode($order['customer'], true);
            $articles = json_decode($order['articles'], true);

            $lastname = '';
            $firstname = '';

            if (!$articles) {
                $articles = [
                    'articles' => []
                ];
            }

            if (isset($customer['address']['lastname'])) {
                $lastname = $customer['address']['lastname'];
            }

            if (isset($customer['address']['firstname'])) {
                $firstname = $customer['address']['firstname'];
            }

            if (!isset($customer['id'])) {
                $customer['id'] = '';
            }

            if (!isset($articles['calculations'])) {
                $articles['calculations'] = [
                    'display_sum' => ''
                ];
            }

            $result[] = [
                'c_date' => $order['c_date'],
                'id' => $order['id'],
                'lastname' => $lastname,
                'firstname' => $firstname,
                'articles' => $articles['articles'],
                'price' => $articles['articles'],
                'userId' => $customer['id'],
                'display_sum' => $articles['calculations']['display_sum']
            ];
        }

        return $result;
    },
    ['time'],
    'Permission::checkAdminUser'
);
