<?php

/**
 * This file contains package_quiqqer_dashboard_ajax_backend_getCards
 */

/**
 * @return array
 */

QUI::$Ajax->registerFunction(
    'package_ecoyn_dashboard_ajax_backend_getTopCustomer',
    function ($time) {
        $PDO = QUI::getDataBase()->getPDO();
        $table = QUI::getDBTableName('orders');
        $time = json_decode($time, true);

        $from = (int)$time['from'];
        $to = (int)$time['to'];

        $from = date('Y-m-d H:i:s', $from);
        $to = date('Y-m-d H:i:s', $to);

        $query = 'SELECT customerId, COUNT(id) as AnzahlBestellungen
                    FROM ' . $table . '
                    WHERE c_date >= :from AND  c_date <= :to
                    GROUP BY customerId
                    ORDER BY AnzahlBestellungen DESC
                    LIMIT 5';

        $Statement = $PDO->prepare($query);

        $Statement->bindParam(':from', $from);
        $Statement->bindParam(':to', $to);
        $Statement->execute();

        $customers = $Statement->fetchAll();
        $result = [];

        foreach ($customers as $customer) {
            try {
                $customerId = $customer['customerId'];
                $User = QUI::getUsers()->get($customerId);

                $result[] = [
                    'id' => $User->getUUID(),
                    'title' => $User->getName()
                ];
            } catch (\QUI\Exception) {
                $result[] = [
                    'id' => $customerId,
                    'title' => $customerId
                ];
            }
        }
        return $result;
    },
    ['time'],
    'Permission::checkAdminUser'
);
