<?php

/**
 * This file contains package_quiqqer_dashboard_ajax_backend_getCards
 */

/**
 * @return array
 */

use QUI\ERP\Products\Category\AllProducts;

QUI::$Ajax->registerFunction(
    'package_ecoyn_dashboard_ajax_backend_getTopProducts',
    function ($time) {
        $PDO = QUI::getDataBase()->getPDO();
        $table = QUI::getDBTableName('products');
        $time = json_decode($time, true);

        $from = (int)$time['from'];
        $to = (int)$time['to'];

        $productsData = [];
        $AllProducts = new AllProducts();

        $products = $AllProducts->getProducts([
            'where' => [
                'active' => 1
            ],
            'limit' => 5,
            'order' => 'orderCount DESC'
        ]);

        /** @var QUI\ERP\Products\Product\Product $Product */
        foreach ($products as $Product) {
            $productsData[] = [
                'name' => $Product->getTitle(),
                'artno' => $Product->getFieldValue("FIELD_PRODUCT_NO"),
                'id' => $Product->getId(),
            ];
        }

        return json_encode($productsData);
    },
    ['time'],
    'Permission::checkAdminUser'
);
