<?php

namespace Ecoyn\Dashboard;

use QUI;

/**
 * Class DashboardProvider
 *
 * @package QUI\LoginLogger
 */
class Dashboard implements QUI\Dashboard\DashboardInterface
{
    /**
     * @param null $Locale
     * @return string
     */
    public function getTitle($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/dashboard', 'dashboard.title');
    }

    /**
     * @return array
     */
    public function getCards(): array
    {
        return [
            'package/ecoyn/dashboard/bin/backend/controls/cards/LastOrders',
            'package/ecoyn/dashboard/bin/backend/controls/cards/TopProducts',
            'package/ecoyn/dashboard/bin/backend/controls/cards/TopCustomer',
            'package/ecoyn/dashboard/bin/backend/controls/cards/Category',
            'package/ecoyn/dashboard/bin/backend/controls/cards/SalesComparison',
            'package/ecoyn/dashboard/bin/backend/controls/cards/Orders',
            'package/ecoyn/dashboard/bin/backend/controls/cards/TotalSales',
            'package/ecoyn/dashboard/bin/backend/controls/cards/NewCustomer',
            'package/ecoyn/dashboard/bin/backend/controls/cards/TotalCustomer',
        ];
    }

    /**
     * @return string
     */
    public function getJavaScriptControl(): string
    {
        return 'package/ecoyn/dashboard/bin/backend/controls/Dashboard';
    }
}
